javax.swing.plaf.basic

## Class BasicTreeUI.NodeDimensionsHandler

- java.lang.Object
- - javax.swing.tree.AbstractLayoutCache.NodeDimensions
  - - javax.swing.plaf.basic.BasicTreeUI.NodeDimensionsHandler

- Enclosing class:
    BasicTreeUI

      public class BasicTreeUI.NodeDimensionsHandler
      extends AbstractLayoutCache.NodeDimensions

  Class responsible for getting size of node, method is forwarded to BasicTreeUI method. X location does not include insets, that is handled in getPathBounds.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BasicTreeUI.NodeDimensionsHandler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Rectangle` | `getNodeDimensions(Object value, int row, int depth, boolean expanded, Rectangle size)` Responsible for getting the size of a particular node.
    `protected int` | `getRowX(int row, int depth)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BasicTreeUI.NodeDimensionsHandler

          public BasicTreeUI.NodeDimensionsHandler()

  - ### Method Detail

    - #### getNodeDimensions

          public Rectangle getNodeDimensions(Object value,
                                    int row,
                                    int depth,
                                    boolean expanded,
                                    Rectangle size)

      Responsible for getting the size of a particular node.
      Specified by:
        `getNodeDimensions` in class `AbstractLayoutCache.NodeDimensions`
      Parameters:
        `value` - the `value` to be represented
        `row` - row being queried
        `depth` - the depth of the row
        `expanded` - true if row is expanded, false otherwise
        `size` - a `Rectangle` containing the size needed to represent `value`
      Returns:
        a `Rectangle` containing the node dimensions, or `null` if node has no dimension

    - #### getRowX

          protected int getRowX(int row,
                    int depth)

      Returns:
        amount to indent the given row.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.